Index: anuga_work/production/australia_ph2/adelaide/project.py
===================================================================
--- anuga_work/production/australia_ph2/adelaide/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/adelaide/project.py	(revision 6672)
@@ -29,8 +29,7 @@
 tide = 0                # difference between MSL and HAT
 event_number = 64322    # the event number
-# events: 7867 (altiplano), 27346 (java), 46591 (midAmerica),
-# 64322 (sandwich), 65368 (shetland), 
-# other events: 51466 (newHebrides), 57537 (peru), 58334 (puysegur), 68791 (sumatra)
-# 11100 (andaman), 
+# events: 27346 (java 2.1e-6), 58334 (puysegur 8.8e-7), 64322 (sandwich 8.2e-6), 
+# other events: 51466 (newHebrides 7.2e-7), 57537 (peru 4.7e-7), 46591 (midAmerica 1.3e-6),
+# 68791 (sumatra 7.5e-7), 11100 (andaman 4.9e-7), 65368 (shetland 2.5e-6), 7867 (altiplano 1.0e-6)
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
@@ -42,5 +41,5 @@
 wave = 'Tb'             # Bf (sts wave) Tb (index wave)
 
-setup = 'trial'         # This can be one of three values
+setup = 'final'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
Index: anuga_work/production/australia_ph2/albany/project.py
===================================================================
--- anuga_work/production/australia_ph2/albany/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/albany/project.py	(revision 6672)
@@ -27,4 +27,5 @@
 # One or all can be changed each time the run_model script is executed
 tide = 0                # difference between MSL and HAT
+central_meridian = 117.0 # central meridian for projection (optional)
 event_number = 64344    # the event number or the mux file name
 # selected events: 27319 (java), 64344 (sandwich), 46697 (midamerica),
@@ -47,5 +48,5 @@
                         #    final - fine mesh, slowest
 
-internal_polygon = True
+internal_polygon = False
 
 #-------------------------------------------------------------------------------
Index: anuga_work/production/australia_ph2/broome/project.py
===================================================================
--- anuga_work/production/australia_ph2/broome/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/broome/project.py	(revision 6672)
@@ -36,5 +36,5 @@
 # index is only used when wave = Tb
 index = 1693            # index from the PTHA - Y2000 5.4259m
-wave = 'Bf'             # Bf (sts wave) Tb (index wave)
+wave = 'Tb'             # Bf (sts wave) Tb (index wave)
 
 
Index: anuga_work/production/australia_ph2/carnarvon/export_results_max.py
===================================================================
--- anuga_work/production/australia_ph2/carnarvon/export_results_max.py	(revision 6671)
+++ anuga_work/production/australia_ph2/carnarvon/export_results_max.py	(revision 6672)
@@ -22,6 +22,6 @@
 directory = project.output_folder
 
-time_dir1 = '20090224_102606_run_trial_0_58362_kvanputt'
-##time_dir2 = ''
+time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
+time_dir2 = '20090324_161452_run_final_0_27285_109_Tb_mhingee'
 ##time_dir3 = ''
 ##time_dir4 = ''
@@ -29,5 +29,5 @@
 ##time_dir6 = ''
 ##
-time_dirs = [time_dir1] #time_dir2]# , time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2] # , time_dir4, time_dir5, time_dir6]
   
 
@@ -35,6 +35,6 @@
 ##cellsize = 5
 
-#timestep = None    # None means no timestep!
-timestep = 0
+timestep = None    # None means no timestep!
+##timestep = 0
 
 ######
@@ -56,5 +56,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']
+var = ['stage','speed']
 
 ######
@@ -86,10 +86,17 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-            #name2 = join(directory, time_dir, project.scenario_name)+'_time_39600_0'
-            #name3 = join(directory, time_dir, project.scenario_name)+'_time_79200_0'
-
-            names = [name1] #, name2]#, name3]
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_8760_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_17520_0'
+            name4 = join(directory, time_dir, project.scenario_name)+'_time_26280_0'
+            name5 = join(directory, time_dir, project.scenario_name)+'_time_35040_0'
+            name6 = join(directory, time_dir, project.scenario_name)+'_time_43800_0'
+            name7 = join(directory, time_dir, project.scenario_name)+'_time_52560_0'
+            name8 = join(directory, time_dir, project.scenario_name)+'_time_61320_0'
+            name9 = join(directory, time_dir, project.scenario_name)+'_time_70080_0'
+            name10 = join(directory, time_dir, project.scenario_name)+'_time_78840_0'
+            
+            names = [name1, name2, name3, name4, name5, name6, name7, name8, name9, name10]
       
-           # asc_name = []   
+            asc_name = []   
                
             for name in names:
@@ -112,10 +119,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+            MaxAsc(maxasc_outname, asc_name)
Index: anuga_work/production/australia_ph2/carnarvon/project.py
===================================================================
--- anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/carnarvon/project.py	(revision 6672)
@@ -44,5 +44,5 @@
                         #    final - fine mesh, slowest
 
-internal_polygon = False
+internal_polygon = True
 
 #-------------------------------------------------------------------------------
Index: anuga_work/production/australia_ph2/ceduna/project.py
===================================================================
--- anuga_work/production/australia_ph2/ceduna/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/ceduna/project.py	(revision 6672)
@@ -38,5 +38,5 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=1000          # final time for simulation
+finaltime=80000          # final time for simulation
 
 # index is only used when wave = Tb
Index: anuga_work/production/australia_ph2/darwin/export_results_max.py
===================================================================
--- anuga_work/production/australia_ph2/darwin/export_results_max.py	(revision 6671)
+++ anuga_work/production/australia_ph2/darwin/export_results_max.py	(revision 6672)
@@ -22,8 +22,8 @@
 directory = project.output_folder
 
-time_dir1 = '20090316_120226_run_final_0_17898_1833_Bf_mhingee'
-##time_dir2 = '20090316_120344_run_final_0_64977_1833_Bf_mhingee'
-##time_dir3 = '20090316_120457_run_final_0_70906_1833_Bf_mhingee'
-##time_dir4 = '20090316_120558_run_final_0_71261_1833_Bf_mhingee'
+time_dir1 = '20090327_103428_run_final_0_70906_1833_Bf_None_mhingee'
+##time_dir2 = ''
+##time_dir3 = ''
+##time_dir4 = ''
 ##time_dir5 = ''
 ##time_dir6 = ''
Index: anuga_work/production/australia_ph2/darwin/project.py
===================================================================
--- anuga_work/production/australia_ph2/darwin/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/darwin/project.py	(revision 6672)
@@ -28,5 +28,5 @@
 tide = 0                # difference between MSL and HAT
 central_meridian = 129.0 # for projection (necessary for nonstandard)
-event_number = 70906    # the event number or the mux file name
+event_number = 17898    # the event number or the mux file name
 # contributing events: 17898 (Flores), 64977 (Seram), 70906 (Sumba_normal),
 # 71261 (Timor_OTF)
Index: anuga_work/production/australia_ph2/hobart/project.py
===================================================================
--- anuga_work/production/australia_ph2/hobart/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/hobart/project.py	(revision 6672)
@@ -27,5 +27,5 @@
 # One or all can be changed each time the run_model script is executed
 tide = 0                # difference between MSL and HAT
-zone = 55               # specify zone of model
+central_meridian = 147.0 # Central meridian for projection (optional)
 
 alpha = 0.1             # smoothing parameter for mesh
@@ -35,17 +35,21 @@
 
 # index is only used when wave = Tb
-wave = 'Tb'             # Bf (sts wave) Tb (index wave)
+wave = 'Bf'             # Bf (sts wave) Tb (index wave)
+
 # for melbourne (west) side:
-event_number = 58349    # the event number or the mux file name
+##event_number = 58349    # the event number or the mux file name
 # contributing sources:
 # 51328 (newhebrides), 58349 (puysegur), 64535 (sandwich)
 # other possible: 31966 (kermandec), 65350 (shetland)
-index = 1983            # index from the PTHA - west side, close to melbourne; 1983 has 1 in 2000 wave height 0.534m
+##index = 1983            # index from the PTHA - west side, close to melbourne; 1983 has 1 in 2000 wave height 0.534m
 
 # for east, Hobart, side - point opposite hobart
-##event_number = 51202    # the event number or the mux file name
-# contributing events: 64434 (sandwich), 58117 (puysegur), 51202 (new hebrides)
-# Others: 31899 (kermandec), 46657 (midamerica), 57586 (peru),
-##index = 2473            # index from PTHA - east, opposite Hobart; 1.112m for 1 in 2000
+event_number = 64461    # the event number or the mux file name
+# contributing events:  51450 (newHebrides 7.3e-6), 58078 (puysegur 5.2e-6), 64461 (sandwich 8.2e-6)
+# Others: 31816 (kermadec 4.7e-7), 46651 (midamerica 3.5e-7),
+# 
+index = 2479            # index from PTHA - Y2000 1.0977m
+
+# index = 2460   # for Bichen
 
 setup = 'final'         # This can be one of three values
@@ -53,4 +57,6 @@
                         #    basic - coarse mesh
                         #    final - fine mesh, slowest
+
+internal_polygon = False
 
 #-------------------------------------------------------------------------------
@@ -65,5 +71,10 @@
 #-------------------------------------------------------------------------------
 
-output_comment = [setup, tide, event_number, index, wave]
+if internal_polygon:
+    internal_poly_comment = 'internal'
+else:
+    internal_poly_comment = None
+
+output_comment = [setup, tide, event_number, index, wave, internal_poly_comment]
 
 #-------------------------------------------------------------------------------
@@ -77,6 +88,5 @@
 
 # Format for point is x,y,elevation (with header)
-point_filenames = ['mel_grid250m.txt',
-                   'bight_250m.txt'] # 250m grid 2005
+point_filenames = ['grid_250m.txt'] # 250m grid 2005
 
 ### Add csv header list to all files in point_filenames
@@ -94,5 +104,13 @@
 # Used in run_model.py
 # Format for points easting,northing (no header)                    
-interior_regions_data = [['tasmania.csv', 1000000]]
+interior_regions_data = []
+
+# add an internal polygon to force different mesh generation
+# used to test for discretisation error when building elevation
+# make sure file is in same folder as interior regions and bouding polygon;
+# format is same (2 column .csv; easting, northing; no header)
+if internal_polygon:
+    interior_regions_data.append(['internal_polygon.csv',
+                                  bounding_polygon_maxarea])
 
 # LAND - used to set the initial stage/water to be offcoast only
Index: anuga_work/production/australia_ph2/hobart/run_model.py
===================================================================
--- anuga_work/production/australia_ph2/hobart/run_model.py	(revision 6671)
+++ anuga_work/production/australia_ph2/hobart/run_model.py	(revision 6672)
@@ -156,5 +156,5 @@
                         verbose=True)
     domain.set_boundary({'back': Br,
-                     'side': Bd,
+                     'side': Bt,
                      'ocean': Bf}) 
     
@@ -163,5 +163,5 @@
 
     domain.set_boundary({'back': Br,
-                         'side': Bd,
+                         'side': Bt,
                          'ocean': Tb})
 else:
Index: anuga_work/production/australia_ph2/strahan/export_results_max.py
===================================================================
--- anuga_work/production/australia_ph2/strahan/export_results_max.py	(revision 6671)
+++ anuga_work/production/australia_ph2/strahan/export_results_max.py	(revision 6672)
@@ -22,12 +22,12 @@
 directory = project.output_folder
 
-time_dir1 = '20090302_104336_run_final_0_27255_mhingee'
-##time_dir2 = ''
-##time_dir3 = ''
-##time_dir4 = ''
-##time_dir5 = ''
-##time_dir6 = ''
-##
-time_dirs = [time_dir1] #time_dir2]# , time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090327_143655_run_final_0_64214_2044_Tb_None_mhingee'
+time_dir2 = '20090327_143836_run_final_0_58337_2044_Tb_None_mhingee'
+time_dir3 = '20090330_095007_run_final_0_68779_2044_Tb_None_mhingee'
+time_dir4 = '20090330_095719_run_final_0_64214_2044_Bf_None_mhingee'
+time_dir5 = '20090330_095845_run_final_0_58337_2044_Bf_None_mhingee'
+time_dir6 = '20090330_143221_run_final_0_68779_2044_Bf_None_mhingee'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
   
 
@@ -36,5 +36,5 @@
 
 #timestep = None    # None means no timestep!
-timestep = 0
+timestep = None
 
 ######
@@ -56,5 +56,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation','stage']
+var = ['stage','speed']
 
 ######
@@ -91,5 +91,5 @@
             names = [name1] #, name2]#, name3]
       
-           # asc_name = []   
+            asc_name = []   
                
             for name in names:
@@ -112,10 +112,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+            MaxAsc(maxasc_outname, asc_name)
Index: anuga_work/production/australia_ph2/strahan/project.py
===================================================================
--- anuga_work/production/australia_ph2/strahan/project.py	(revision 6671)
+++ anuga_work/production/australia_ph2/strahan/project.py	(revision 6672)
@@ -28,9 +28,9 @@
 tide = 0                # difference between MSL and HAT
 central_meridian = 147.0 # Central meridian for projection (optional)
-event_number =     # the event number or the mux file name
-# main events: 64214 (sandwich 1.4e-5), 58337 (puysegur 3e-6), 
+event_number = 68779    # the event number or the mux file name
+# main events: 64214 (sandwich 1.4e-5), 58337 (puysegur 3e-6), 68779 (sumatra 7.53-7)
 # others: 27295 (java 3e-7), 31817 (kermadec 5e-7), 46559 (midAmerica 4.2e-7)
 # 51460 (newHebrides 7e-7), 57477 (peru 5.4e-7), 65322 (shetland 3.6e-7),
-# 68779 (sumatra 7.53-7)
+
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
@@ -40,5 +40,5 @@
 # index is only used when wave = Tb
 index = 2044            # index from the PTHA - Y2000 is 0.60374m
-wave = 'Tb'             # Bf (sts wave) Tb (index wave)
+wave = 'Bf'             # Bf (sts wave) Tb (index wave)
 
 setup = 'final'         # This can be one of three values
@@ -77,6 +77,5 @@
 
 # Format for point is x,y,elevation (with header)
-point_filenames = ['grid250m_pts.txt',
-                   'coast_250.txt'] # 250m grid 2005
+point_filenames = ['grid_250m.txt'] # 250m grid 2005
 
 ### Add csv header list to all files in point_filenames
@@ -125,5 +124,5 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order_austtg.csv'
+urs_order_filename = 'urs_order.csv'
 
 # Landward bounding points