Index: anuga_work/production/gold_coast_2009/export_results_max.py
===================================================================
--- anuga_work/production/gold_coast_2009/export_results_max.py	(revision 6731)
+++ anuga_work/production/gold_coast_2009/export_results_max.py	(revision 6733)
@@ -22,5 +22,5 @@
 directory = project.output_folder
 
-time_dir1 = '20090327_135943_run_final_0_51469_lfountai'
+#time_dir1 = '20090327_135943_run_final_0_51469_lfountai'
 time_dir2 = '20090327_153206_run_final_0_51348_lfountai'
 time_dir3 = '20090327_153231_run_final_0_51253_lfountai'
@@ -28,8 +28,8 @@
 time_dir5 = '20090327_153403_run_final_0_51423_lfountai'
 time_dir6 = '20090327_153602_run_final_0_62833_lfountai'
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]   
+time_dirs = [time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]   
 
 ##cellsize = 250
-cellsize = 5
+cellsize = 20
 
 #timestep = None    # None means no timestep!
@@ -54,5 +54,5 @@
 
 # one or more key strings from var_equations above
-var = ['depth', 'elevation']
+var = ['depth']
 
 ######
@@ -84,10 +84,11 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-            #name2 = join(directory, time_dir, project.scenario_name)+'_time_39600_0'
-            #name3 = join(directory, time_dir, project.scenario_name)+'_time_79200_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_21960_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_43920_0'
+            #name4 = join(directory, time_dir, project.scenario_name)+'_time_65880_0'
 
-            names = [name1] #, name2]#, name3]
+            names = [name1, name2, name3]
       
-           # asc_name = []   
+            asc_name = []   
                
             for name in names:
@@ -110,10 +111,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+            MaxAsc(maxasc_outname, asc_name)
Index: anuga_work/production/gold_coast_2009/get_timeseries.py
===================================================================
--- anuga_work/production/gold_coast_2009/get_timeseries.py	(revision 6731)
+++ anuga_work/production/gold_coast_2009/get_timeseries.py	(revision 6733)
@@ -13,10 +13,11 @@
 
 from os import sep, rename, listdir, system
+from os.path import join
 from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
 import project
 
-directory = project.output_dir
+directory = project.output_folder
 
-time_dir1 = '20090327_135943_run_final_0_51469_lfountai'
+#time_dir1 = '20090327_135943_run_final_0_51469_lfountai'
 time_dir2 = '20090327_153206_run_final_0_51348_lfountai'
 time_dir3 = '20090327_153231_run_final_0_51253_lfountai'
@@ -24,26 +25,11 @@
 time_dir5 = '20090327_153403_run_final_0_51423_lfountai'
 time_dir6 = '20090327_153602_run_final_0_62833_lfountai'
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
-    name = directory+time_dir+sep+project.scenario_name
-    gauge = project.gauges_folder+sep+project.gauges_filename
+    name = join(directory,time_dir,project.scenario_name)
+    gauge = project.gauges
     sww2csv_gauges(name+'.sww',gauge,
                    quantities = ['stage','speed','depth','elevation'],
                    verbose=True)
 
-    
-##    name1 = directory+time_dir+sep+project.scenario_name 
-####    name2 = directory+time_dir+sep+project.scenario_name+'_time_43380_0'
-####    name3 = directory+time_dir+sep+project.scenario_name+'_time_78360_0'
-##
-##    names = [name1]#, name2, name3]
-##
-##    for i, name in enumerate(names):
-##        gauge = project.gauges_dir_name
-####        out_name = 'gauge_%d_' % i
-##        print name
-##        sww2csv_gauges(name+'.sww',gauge,#out_name = out_name,
-##                        quantities = ['stage','speed','depth','elevation'],
-##                        verbose=True)
-##