Index: anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6735)
+++ anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6736)
@@ -95,5 +95,26 @@
 
 \subsection{Validation data}
- Eyewitness accounts detailed in~\cite{papadopoulos06} report that most people at Patong Beach observed an initial retreat of the shoreline of more than 100m followed a few minutes later by a strong wave (crest). Another less powerful wave arrived another five or ten minutes later. Eyewitness statments place the arrival time of the strong wave between 2 hours and 55 inutes to 3 hours and 5 minutes after the source rupture (09:55am to 10:05am local time). After the event (HOw long?) a survey mapped the maximum observed inundation at Patong beach.  The inundation map is shown in Figure~\ref{fig:patongescapemap} and was kindly provided by the Thai Department of Mineral Resources \protect \cite{XXX}.
+ Eyewitness accounts detailed in~\cite{papadopoulos06} report that most people at Patong Beach observed an initial retreat of the shoreline of more than 100m followed a few minutes later by a strong wave (crest). Another less powerful wave arrived another five or ten minutes later. Eyewitness statments place the arrival time of the strong wave between 2 hours and 55 minutes to 3 hours and 5 minutes after the source rupture (09:55am to 10:05am local time). After the event (HOw long?) a survey mapped the maximum observed inundation at Patong beach.  The inundation map is shown in Figure~\ref{fig:patongescapemap} and was kindly provided by the Thai Department of Mineral Resources \protect \cite{XXX}.
+ 
+ 
+%In \cite{papadopoulos06} eyewitness accounts report 
+%\emph{In Patong beach, most people observed at least two
+%waves. It is likely that the leading wave described in both
+%Sri Lanka and Maldives was not observed in Patong beach.
+%What people said is that the first sea motion was a retreat
+%of more than 100 m. A few minutes later the strong wave
+%arrived. Then, after another 5 or 10 min. one more wave attacked
+%but less violently than the first one. Nearly all the
+%interviewed persons reported that the tsunami inundation
+%in the Patong beach varied from 150 m to at least 750 m
+%(Fig. 16). One eyewitness reported inundation of only 20
+%m. As for the arrival time of the strong wave the eyewitnesses
+%do not agree. However, most reports concentrated
+%around 02:55 to 03:05 (09:55 to 10:05 local) which seems
+%to be a reliable description.}
+%
+%FIXME(Ole): Need discussion of model results in this context.
+
+ 
 
 \begin{figure}[ht]
@@ -181,8 +202,4 @@
 \section*{Acknowledgements}
 This project was undertaken at Geoscience Australia and the Department of Mathematics, The Australian National University. The authors would like to thank Niran Chaimanee from the CCOP, Thailand for providing the post 2004 tsunami survey data and the elevation data for Patong beach.
-
-%====================Bibliography==================
-\bibliographystyle{plain}
-\bibliography{tsunami07}
 
 %===============Appendicies========================
@@ -271,8 +288,17 @@
 It can also be used in a nexted grid scheme and does on-shore inundation.
 
-%%%%%%%%%%%%%%%%%%%%%%%
+
+
+%====================Bibliography==================
+\bibliographystyle{plain}
+\bibliography{tsunami07}
+
 
 \end{document}
 
+
+
+===================
+NOTES TO BE REMOVED
 
 Main source of uncertainty arises from inaccuracies in initial condition (source), inaccurate bathymetry data, to a lesser extent friction
@@ -351,89 +377,74 @@
 different even types submarine mass failure generate larger events because of proximity more directional wave generation even if data is available it is hard to access
 
-\begin{thebibliography}{7}
-\bibitem{amnon05}
-Ammon, C.J., C. Ji, H. Thio, D. Robinson, Sidao Ni, V. Hjorleifsdottir, H., T. Lay, S. Das, D. Helmberger, G. Ichinose, J. Polet, and D. Wald (2005), Rupture process of the 2004 Sumatra-Andaman earthquake, {\em Science}, {\bf 308}, 1133.
-\bibitem{bourgeois99}
-Bourgeois, J., C. Petroff, H. Yeh, V. Titov, C. Synolakis, B. Benson, J. Kuroiwa, J. Lander, and E. Norabuena (1999), Geologic setting, field survey and modeling of the Chimbote, northern Peru, tsunami of 21 February 1996, {\em Pure and Applied Geophysics}, {\bf 154(3/4)}, pages 513-540.
-\bibitem{burbidge}
-Burbidge, D., P. Cummins, and R. Mleczko (2007), A Probabilistic Tsunami Hazard Assessment for Western Australia, Report to the Fire and Emergency Services Authority of Western Australia. FIXME: Needs to be updated to recent Pageoph reference.
-\bibitem{chlieh}
-Chlieh, M., J. P. Avouac, et al. (2007). Coseismic slip and afterslip of the great Mw 9.15 Sumatra-Andaman earthquake of 2004. Bulletin of the Seismological Society of America, {\bf 97(1A) }, S152-S173.
-\bibitem{greenslade07}
-Greenslade, D., M . Simanjuntak, D. Burbidge, and J. Chittleborough (2007), A first-generation real-time tsunami forecasting system for the Australian region. BMRC Research Report 126, Bureau of Meteorology Australia.
-\bibitem{grilli06}
-Grilli, S.T., M. Ioualalen, J. Asavanant, F. Shi, J.T Kirby, and P. Watts (2006), Source constraints and model simulation of the December 26, 2004 Indian Ocean tsunami, {\em Journal of Waterways, Port, Ocean and Coastal Engineering}. In press.
-\bibitem{gusiakov72}
-Gusiakov, V.K. (1972), Static displacement on the surface of an elastic space. Ill-posed problems of mathematical physics and interpretation of geophysical data, {\em Novosibirsk, VC SOAN SSSR},  23-51. In Russian.
-\bibitem{jankaew}
-Jankaew, K., B. F. Atwater, et al. (2008). Medieval forewarning of the 2004 Indian Ocean tsunami in Thailand, Nature, {\bf 455(7217)}, 1228-1231.
-\bibitem{kawata05}
-Kawata, T. et XIV alia (2005) Comprehensive analysis of the damage and its impact on coastal zones by the 2004 Indian Ocean tsunami disaster. Technical report, Disaster Prevention Research Institute. http://www.tsunami.civil.tohoku.ac.jp/sumatra2004/\\report.html.
-\bibitem{kurganov01}
-Kurganov, A., S. Noelle, and G. Petrova (2001), Semidiscrete central-upwind schemes for hyperbolic conservation laws and Hamilton-Jacobi equations, {\em SIAM Journal of Scientific Computing}, {\bf 23(3)}, 707-740.
-\bibitem{lebrun98}
-Lebrun, J.F., G.G. Karner, and J.Y. Collot. Fracture zone subduction and reactivation across the Puysegur ridge trench system, southern New Zealand, {\em Journal of Geophysical Research}, {\bf 103}, 7293-7313.
-\bibitem{liu05}
-Liu P. L.-F., P. Lynett, H. Fernando, B.E. Jaffe, H. Fritz, B. Higman, R. Morton, J. Goff, and C. Synolakis. Observations by the international tsunami survey team in Sri Lanka, {\em Science}, {\bf 308}, 1595.
-\bibitem{matsuyama01}
-Matsuyama, M. and H. Tanaka (2001) An experimental study of the highest run-up height in the 1993 Okkaido Nansei-Oki earthquake tsunami. In {\em National Tsunami Hazard Mitigation Program Review and International Tsunami Symposium (ITS)}, pages 879-889. U.S. National Tsunami Hazard Mitigation Program.
-\bibitem{merrifield05}
-Merrifield, M.A., et XXIII alia (2005), Tide gauge observations of the Indian Ocean tsunami, December 26, 2004, {\em Geophysical Research Letters}, {\bf 32}, L09603.
-\bibitem{ngdc}
-National Geophysical Data Center (NGDC). Indian ocean december 26, 2004: run-ups. http://www.ngdc.noaa.gov/seg/hazard/tsu.shtml
-\bibitem{nielsen05}
-Nielsen, O.M, S.G Roberts, D. Gray, A. McPherson, and A. Hitchman (2005), Hydrodynamic modelling of coastal inundation. In A. Zerger and R.M. Argent, editors, {\em MODSIM 2005 International Congress on Modelling and Simulation}, pages 518-523. Modelling and Simulation Society of Australia and New Zealand. http://www.mssanz.org.au/modsim05/papers/nielsen.pdf.
-\bibitem{roberts06}
-Roberts, S.G., O.M. Nielsen, and J.D. Jakeman (2006), Simulation of tsunami and flash flood. Accepted for publication in the refereed proceedings of the International Conference on High Performance Scientific Computing: Modeling, Simulation and Optimization of Complex Processes, March 6-10, 2006, Hanoi Vietnam.
-\bibitem{roberts00}
-Roberts, S.G. and C. Zoppou (2000), Robust and efficent solution of the 2d shallow water wave equation with domains containg dry beds, {\em The ANZIAM Journal}, {\bf 42(E)}, C1260-C1282.
-\bibitem{satake95}
-Satake, K. (1995). Linear and nonlinear computations of the 1992 Nicaragua earthquake tsunami. Pure and Applied Geophysics, {\bf 144(3)}, 455-470.
-\bibitem{schoettle2007}
-Schoettle E., and Sakimoto S. (2007), Modeling the Effects of Coral Reef Health on Tsunami Run-up
-with the Finite-element Model ADCIRC, \url{http://istim.ce.nd.edu/2007/Posters/Schoettle_poster.pdf}. 
-\bibitem{synolakis05}
-Synolakis, C., E. Okal, and E. Bernard (2005), The megatsunami of December 26 2004, {\em The Bridge, National Academy of Engineering Publications}, {\bf 35(2)}, 36-35.
-\bibitem{titov05}
-Titov, V.V., F. Gonz\'{a}lez E. Bernard, M. Eble, H. Mofjeld, J. Newman, and A. Venturato (2005), Real-time tsunami forecasting: Challenges and solutions, {\em Natural Hazards}, {\bf 35}, 41-58.
-\bibitem{titov95}
-Titov, V.V. and C. Synolakis (1995), Modeling of breaking and nonbreaking long wave evolution and run-up using VTCS-2, {\em Journal of Waterways, Port, Ocean and Coastal Engineering}, {\bf 121(6)}, 308-316.
-\bibitem{titov97a}
-Titov, V.V. and F.I. Gonzalez (1997), Implementation and testing of the method of splitting tsunami (MOST) model, {\em NOAA Technical Memorandum}.
-\bibitem{titov01}
-Titov, V.V., F.I. Gonzalez, H.O. Mofjeld, and J.C. Newman (2001), Project SIFT (short-term inundation forecasting for tsunamis), In {\em ITS Proceedings}.
-\bibitem{gica08}
-Gica, E., M. Spillane, V.V. Titov, C.D. Chamberlin, and J.C. Newman (2008): Development of the forecast propagation database for NOAA's Short-term Inundation Forecast for Tsunamis (SIFT). NOAA Tech. Memo. {\bf OAR PMEL-139}, 89 pp.
-\bibitem{titov97b}
-Titov, V.V. and C.E. Synolakis (1997), Extreme inundation flows during the hokkaido Nansei-Oki tsunami, {\em Geophysical Research Letters}, {\bf 24(11)}, 1315-1318.
-\bibitem{tsuji95}
-Tsuji, T., S. Matsutomi, F. Imamura, and C.E. Synolakis (1995), Field survey of the east Java earthquake and tsunami, {\em Pure and Applied Geophysics}, {\bf 144(3/4)}, 839-855.
-\bibitem{vigny05}
-Vigny, C., W.J.F. Simons, S. Abu, R. Bamphenyu, N. C. Satirapod, C. Subarya Choosakul, A. Socquet, K. Omar, H.Z. Abidin, and B.A.C. Ambrosius (2005), Insight into the 2004 Sumatra-Andaman earthquake from GPS measurements in southeast Asia, {\em Nature}, {\bf 436}, 201-206.
-\bibitem{wang95}
-Wang, R., F. L. Martin, et al. (2003). Computation of deformation induced by earthquakes in a multi-layered elastic crust - FORTRAN program EDGRN/EDCMP. Computers and Geosciences, {\bf 29}, 195-207.
-\bibitem{yeh94}
-Yeh, H., V.V Titov, V. Gusiakov, E. Pelinovsky, V. Khramushin, and V. Kaistrenko (1994), The 1994 Shikotan earthquake tsunami, {\em  Pure and Applied Geophysics}, {\bf 144(3/4)}, 569-593.
-\bibitem{zoppou99}
-Zoppou, C., and S.G Roberts (1999), Catastrophic collapse of water supply reserviours in urban areas, {\em Journal of Hydraulic Engineering}, {\bf 125(7)}, 686-695.
-\bibitem{zoppou00}
-Zoppou, C. and S.G Roberts (2000), Numerical solution of the two-dimensional unsteady dam break, {\em Applied Mathematical Modelling}, {\bf 24}, 457-475.
-\end{thebibliography}
-
-In \cite{papadopoulos06} eyewitness accounts report 
-\emph{In Patong beach, most people observed at least two
-waves. It is likely that the leading wave described in both
-Sri Lanka and Maldives was not observed in Patong beach.
-What people said is that the first sea motion was a retreat
-of more than 100 m. A few minutes later the strong wave
-arrived. Then, after another 5 or 10 min. one more wave attacked
-but less violently than the first one. Nearly all the
-interviewed persons reported that the tsunami inundation
-in the Patong beach varied from 150 m to at least 750 m
-(Fig. 16). One eyewitness reported inundation of only 20
-m. As for the arrival time of the strong wave the eyewitnesses
-do not agree. However, most reports concentrated
-around 02:55 to 03:05 (09:55 to 10:05 local) which seems
-to be a reliable description.}
-
-FIXME(Ole): Need discussion of model results in this context.
+%% \begin{thebibliography}{7}
+%% \bibitem{amnon05}
+%% Ammon, C.J., C. Ji, H. Thio, D. Robinson, Sidao Ni, V. Hjorleifsdottir, H., T. Lay, S. Das, D. Helmberger, G. Ichinose, J. Polet, and D. Wald (2005), Rupture process of the 2004 Sumatra-Andaman earthquake, {\em Science}, {\bf 308}, 1133.
+%% \bibitem{bourgeois99}
+%% Bourgeois, J., C. Petroff, H. Yeh, V. Titov, C. Synolakis, B. Benson, J. Kuroiwa, J. Lander, and E. Norabuena (1999), Geologic setting, field survey and modeling of the Chimbote, northern Peru, tsunami of 21 February 1996, {\em Pure and Applied Geophysics}, {\bf 154(3/4)}, pages 513-540.
+%% \bibitem{burbidge}
+%% Burbidge, D., P. Cummins, and R. Mleczko (2007), A Probabilistic Tsunami Hazard Assessment for Western Australia, Report to the Fire and Emergency Services Authority of Western Australia. FIXME: Needs to be updated to recent Pageoph reference.
+%% \bibitem{chlieh}
+%% Chlieh, M., J. P. Avouac, et al. (2007). Coseismic slip and afterslip of the great Mw 9.15 Sumatra-Andaman earthquake of 2004. Bulletin of the Seismological Society of America, {\bf 97(1A) }, S152-S173.
+%% \bibitem{greenslade07}
+%% Greenslade, D., M . Simanjuntak, D. Burbidge, and J. Chittleborough (2007), A first-generation real-time tsunami forecasting system for the Australian region. BMRC Research Report 126, Bureau of Meteorology Australia.
+%% \bibitem{grilli06}
+%% Grilli, S.T., M. Ioualalen, J. Asavanant, F. Shi, J.T Kirby, and P. Watts (2006), Source constraints and model simulation of the December 26, 2004 Indian Ocean tsunami, {\em Journal of Waterways, Port, Ocean and Coastal Engineering}. In press.
+%% \bibitem{gusiakov72}
+%% Gusiakov, V.K. (1972), Static displacement on the surface of an elastic space. Ill-posed problems of mathematical physics and interpretation of geophysical data, {\em Novosibirsk, VC SOAN SSSR},  23-51. In Russian.
+%% \bibitem{jankaew}
+%% Jankaew, K., B. F. Atwater, et al. (2008). Medieval forewarning of the 2004 Indian Ocean tsunami in Thailand, Nature, {\bf 455(7217)}, 1228-1231.
+%% \bibitem{kawata05}
+%% Kawata, T. et XIV alia (2005) Comprehensive analysis of the damage and its impact on coastal zones by the 2004 Indian Ocean tsunami disaster. Technical report, Disaster Prevention Research Institute. http://www.tsunami.civil.tohoku.ac.jp/sumatra2004/\\report.html.
+%% \bibitem{kurganov01}
+%% Kurganov, A., S. Noelle, and G. Petrova (2001), Semidiscrete central-upwind schemes for hyperbolic conservation laws and Hamilton-Jacobi equations, {\em SIAM Journal of Scientific Computing}, {\bf 23(3)}, 707-740.
+%% \bibitem{lebrun98}
+%% Lebrun, J.F., G.G. Karner, and J.Y. Collot. Fracture zone subduction and reactivation across the Puysegur ridge trench system, southern New Zealand, {\em Journal of Geophysical Research}, {\bf 103}, 7293-7313.
+%% \bibitem{liu05}
+%% Liu P. L.-F., P. Lynett, H. Fernando, B.E. Jaffe, H. Fritz, B. Higman, R. Morton, J. Goff, and C. Synolakis. Observations by the international tsunami survey team in Sri Lanka, {\em Science}, {\bf 308}, 1595.
+%% \bibitem{matsuyama01}
+%% Matsuyama, M. and H. Tanaka (2001) An experimental study of the highest run-up height in the 1993 Okkaido Nansei-Oki earthquake tsunami. In {\em National Tsunami Hazard Mitigation Program Review and International Tsunami Symposium (ITS)}, pages 879-889. U.S. National Tsunami Hazard Mitigation Program.
+%% \bibitem{merrifield05}
+%% Merrifield, M.A., et XXIII alia (2005), Tide gauge observations of the Indian Ocean tsunami, December 26, 2004, {\em Geophysical Research Letters}, {\bf 32}, L09603.
+%% \bibitem{ngdc}
+%% National Geophysical Data Center (NGDC). Indian ocean december 26, 2004: run-ups. http://www.ngdc.noaa.gov/seg/hazard/tsu.shtml
+%% \bibitem{nielsen05}
+%% Nielsen, O.M, S.G Roberts, D. Gray, A. McPherson, and A. Hitchman (2005), Hydrodynamic modelling of coastal inundation. In A. Zerger and R.M. Argent, editors, {\em MODSIM 2005 International Congress on Modelling and Simulation}, pages 518-523. Modelling and Simulation Society of Australia and New Zealand. http://www.mssanz.org.au/modsim05/papers/nielsen.pdf.
+%% \bibitem{roberts06}
+%% Roberts, S.G., O.M. Nielsen, and J.D. Jakeman (2006), Simulation of tsunami and flash flood. Accepted for publication in the refereed proceedings of the International Conference on High Performance Scientific Computing: Modeling, Simulation and Optimization of Complex Processes, March 6-10, 2006, Hanoi Vietnam.
+%% \bibitem{roberts00}
+%% Roberts, S.G. and C. Zoppou (2000), Robust and efficent solution of the 2d shallow water wave equation with domains containg dry beds, {\em The ANZIAM Journal}, {\bf 42(E)}, C1260-C1282.
+%% \bibitem{satake95}
+%% Satake, K. (1995). Linear and nonlinear computations of the 1992 Nicaragua earthquake tsunami. Pure and Applied Geophysics, {\bf 144(3)}, 455-470.
+%% \bibitem{schoettle2007}
+%% Schoettle E., and Sakimoto S. (2007), Modeling the Effects of Coral Reef Health on Tsunami Run-up
+%% with the Finite-element Model ADCIRC, \url{http://istim.ce.nd.edu/2007/Posters/Schoettle_poster.pdf}. 
+%% \bibitem{synolakis05}
+%% Synolakis, C., E. Okal, and E. Bernard (2005), The megatsunami of December 26 2004, {\em The Bridge, National Academy of Engineering Publications}, {\bf 35(2)}, 36-35.
+%% \bibitem{titov05}
+%% Titov, V.V., F. Gonz\'{a}lez E. Bernard, M. Eble, H. Mofjeld, J. Newman, and A. Venturato (2005), Real-time tsunami forecasting: Challenges and solutions, {\em Natural Hazards}, {\bf 35}, 41-58.
+%% \bibitem{titov95}
+%% Titov, V.V. and C. Synolakis (1995), Modeling of breaking and nonbreaking long wave evolution and run-up using VTCS-2, {\em Journal of Waterways, Port, Ocean and Coastal Engineering}, {\bf 121(6)}, 308-316.
+%% \bibitem{titov97a}
+%% Titov, V.V. and F.I. Gonzalez (1997), Implementation and testing of the method of splitting tsunami (MOST) model, {\em NOAA Technical Memorandum}.
+%% \bibitem{titov01}
+%% Titov, V.V., F.I. Gonzalez, H.O. Mofjeld, and J.C. Newman (2001), Project SIFT (short-term inundation forecasting for tsunamis), In {\em ITS Proceedings}.
+%% \bibitem{gica08}
+%% Gica, E., M. Spillane, V.V. Titov, C.D. Chamberlin, and J.C. Newman (2008): Development of the forecast propagation database for NOAA's Short-term Inundation Forecast for Tsunamis (SIFT). NOAA Tech. Memo. {\bf OAR PMEL-139}, 89 pp.
+%% \bibitem{titov97b}
+%% Titov, V.V. and C.E. Synolakis (1997), Extreme inundation flows during the hokkaido Nansei-Oki tsunami, {\em Geophysical Research Letters}, {\bf 24(11)}, 1315-1318.
+%% \bibitem{tsuji95}
+%% Tsuji, T., S. Matsutomi, F. Imamura, and C.E. Synolakis (1995), Field survey of the east Java earthquake and tsunami, {\em Pure and Applied Geophysics}, {\bf 144(3/4)}, 839-855.
+%% \bibitem{vigny05}
+%% Vigny, C., W.J.F. Simons, S. Abu, R. Bamphenyu, N. C. Satirapod, C. Subarya Choosakul, A. Socquet, K. Omar, H.Z. Abidin, and B.A.C. Ambrosius (2005), Insight into the 2004 Sumatra-Andaman earthquake from GPS measurements in southeast Asia, {\em Nature}, {\bf 436}, 201-206.
+%% \bibitem{wang95}
+%% Wang, R., F. L. Martin, et al. (2003). Computation of deformation induced by earthquakes in a multi-layered elastic crust - FORTRAN program EDGRN/EDCMP. Computers and Geosciences, {\bf 29}, 195-207.
+%% \bibitem{yeh94}
+%% Yeh, H., V.V Titov, V. Gusiakov, E. Pelinovsky, V. Khramushin, and V. Kaistrenko (1994), The 1994 Shikotan earthquake tsunami, {\em  Pure and Applied Geophysics}, {\bf 144(3/4)}, 569-593.
+%% \bibitem{zoppou99}
+%% Zoppou, C., and S.G Roberts (1999), Catastrophic collapse of water supply reserviours in urban areas, {\em Journal of Hydraulic Engineering}, {\bf 125(7)}, 686-695.
+%% \bibitem{zoppou00}
+%% Zoppou, C. and S.G Roberts (2000), Numerical solution of the two-dimensional unsteady dam break, {\em Applied Mathematical Modelling}, {\bf 24}, 457-475.
+%% \end{thebibliography}
+
+
+
Index: anuga_work/publications/boxing_day_validation_2008/tsunami07.bib
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 6735)
+++ anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 6736)
@@ -928,4 +928,25 @@
 pages={195--201}
 }
+
+
+@article{satake95,
+title={Linear and nonlinear computations of the 1992 Nicaragua earthquake tsunami},
+author={Sataka K.},
+journal={Pure and Applied Geophysics},
+year={1995},
+volume={144},
+number={3},
+pages={455--470}
+}
+
+@Misc{schoettle2007,
+  author = 	 {Schoettle E. and Sakimoto S.},
+  title = 	 {Modeling the Effects of Coral Reef Health on Tsunami Run-up 
+                  with the Finite-element Model ADCIRC},
+  howpublished = {\url{http://istim.ce.nd.edu/2007/Posters/Schoettle_poster.pdf}},
+  year = 	 {2007},
+  note = 	 {University of Notre Dame}
+}
+
 
 @InBook{asavanant08,