Index: /anuga_work/production/australia_ph2/carnarvon/Arc_asc2raster_GDA94z50.py
===================================================================
--- /anuga_work/production/australia_ph2/carnarvon/Arc_asc2raster_GDA94z50.py	(revision 6740)
+++ /anuga_work/production/australia_ph2/carnarvon/Arc_asc2raster_GDA94z50.py	(revision 6741)
@@ -25,5 +25,5 @@
 output_dir="anuga\\outputs\\"
 
-##time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
+time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
 time_dir2 = '20090324_161452_run_final_0_27285_109_Tb_mhingee'
 
Index: /anuga_work/production/australia_ph2/carnarvon/get_timeseries.py
===================================================================
--- /anuga_work/production/australia_ph2/carnarvon/get_timeseries.py	(revision 6740)
+++ /anuga_work/production/australia_ph2/carnarvon/get_timeseries.py	(revision 6741)
@@ -19,5 +19,5 @@
 directory = project.output_folder
 
-##time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
+time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
 time_dir2 = '20090324_161452_run_final_0_27285_109_Tb_mhingee'
 
Index: /anuga_work/production/australia_ph2/darwin/project.py
===================================================================
--- /anuga_work/production/australia_ph2/darwin/project.py	(revision 6740)
+++ /anuga_work/production/australia_ph2/darwin/project.py	(revision 6741)
@@ -34,12 +34,12 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=80000          # final time for simulation
+finaltime=1000          # final time for simulation
 
 # index is only used when wave = Tb
-index = 1830            # index from the PTHA - Y2000 for pt1833 wave height = 0.64m
+index = 1829            # index from the PTHA - Y2000 for pt1833 wave height = 0.64m
 ##index = 1860            # index from the PTHA - Y2000 for pt 1860 = 1.32m - large wave from Timor
-wave = 'Bf'             # Bf (sts wave) Tb (index wave)
-
-setup = 'final'         # This can be one of three values
+wave = 'Tb'             # Bf (sts wave) Tb (index wave)
+
+setup = 'trial'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
Index: /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py	(revision 6740)
+++ /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py	(revision 6741)
@@ -25,9 +25,9 @@
 output_dir = "anuga\\outputs\\"
 
-##time_dir1 = '20081209_155431_run_final_0_27255_250m_none_lfountai'
+time_dir1 = '20090331_150428_run_final_0_58152_2956_Tb_lfountai'
 ##time_dir2 = '20081210_100528_run_final_0_68693_250m_none_kvanputt'
 ##time_dirs = [time_dir1, time_dir2]
 
-time_dir1 = '20090311_145740_run_final_0_58152_2956_Tb_jgriffin'
+##time_dir1 = '20090311_145740_run_final_0_58152_2956_Tb_jgriffin'
 ##time_dir2 = '20090311_145828_run_final_0_58152_2956_Bf_jgriffin'
 ##time_dir3 = '20090313_154712_run_final_0_58222_2956_Bf_jgriffin'
@@ -62,5 +62,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*stage_max.asc')
+    input_ascii = glob.glob(folder + '*.asc')
     print time_dir
 
Index: /anuga_work/production/australia_ph2/sydney/get_timeseries.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/get_timeseries.py	(revision 6740)
+++ /anuga_work/production/australia_ph2/sydney/get_timeseries.py	(revision 6741)
@@ -30,5 +30,5 @@
 ##time_dir6 = '20090311_145740_run_final_0_58152_2956_Tb_jgriffin'
 
-time_dirs = [time_dir1, time_dir2]
+time_dirs = [time_dir2]
 
 for time_dir in time_dirs:
Index: /anuga_work/production/australia_ph2/wyndham/get_timeseries.py
===================================================================
--- /anuga_work/production/australia_ph2/wyndham/get_timeseries.py	(revision 6741)
+++ /anuga_work/production/australia_ph2/wyndham/get_timeseries.py	(revision 6741)
@@ -0,0 +1,34 @@
+"""
+Generate time series of nominated "gauges".
+Input: sww file from run_perth.py
+       gauges project.gauge_filename
+Output: csv files stage,speed,depth,elevation over time
+Stored in the 'outputs_dir' folder for respective .sww file
+
+Note:
+Can run different sww files at the same time
+make sure if there is a second sww file that it is placed into a folder called sww2
+Can run different gauges at the same time - ie testing boundary index point
+"""
+
+from os import sep, rename, listdir, system
+from os.path import join
+from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
+import project
+
+directory = project.output_folder
+
+time_dir1 = '20090327_122204_run_final_0_17918_1823_Bf_None_mhingee'
+
+time_dirs = [time_dir1] # time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+print 'time directories', time_dirs
+
+for time_dir in time_dirs:
+    name = join(directory,time_dir,project.scenario_name)
+    gauge = project.gauges
+    sww2csv_gauges(name+'.sww',gauge,
+                   quantities = ['stage','speed','depth','elevation'],
+                   verbose=True)
+  
+