Index: anuga_work/production/australia_ph2/adelaide/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/adelaide/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/adelaide/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/albany/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/albany/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/albany/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/bamaga/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/bamaga/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/bamaga/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/broome/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/broome/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/broome/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/bundaberg/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/bundaberg/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/bundaberg/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/cairns/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/cairns/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/cairns/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/carnarvon/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/carnarvon/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/carnarvon/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/ceduna/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/ceduna/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/ceduna/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/cooktown/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/cooktown/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/cooktown/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/dampier/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/dampier/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/dampier/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/darwin/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/darwin/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/darwin/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/esperance/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/esperance/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/esperance/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/eucla_motel/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/eucla_motel/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/eucla_motel/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/gold_coast/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/gold_coast/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/gold_coast/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/hobart/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/hobart/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/hobart/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/lockhart_river/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/lockhart_river/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/lockhart_river/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/lucinda/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/lucinda/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/lucinda/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/melbourne/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/melbourne/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/melbourne/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/perth/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/perth/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/perth/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/portland/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/portland/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/portland/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/rockhampton/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/rockhampton/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/rockhampton/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/strahan/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/strahan/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/strahan/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/sydney/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/sydney/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/sydney/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/townsville/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/townsville/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/townsville/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 
Index: anuga_work/production/australia_ph2/wyndham/build_urs_boundary.py
===================================================================
--- anuga_work/production/australia_ph2/wyndham/build_urs_boundary.py	(revision 6759)
+++ anuga_work/production/australia_ph2/wyndham/build_urs_boundary.py	(revision 6760)
@@ -140,5 +140,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
     else:                           # a single mux stem file, assume 1.0 weight
@@ -159,5 +159,5 @@
                 weights=mux_weights,
                 central_meridian=project.central_meridian,
-                zone=project.zone
+                zone=project.zone,
                 verbose=True)
 